%define name gjs
%define version 0.4
%define release %mkrel 2
%define api 1.0
%define major 0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

%if %{?xulrunner_libname:0}%{?!xulrunner_libname:1}
%define xulrunner_libname libxulrunner
%define xulrunner_version 1.9
%endif

Summary: JavaScript bindings based on gobject-introspection
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch: gjs-0.3-format-strings.patch
License: BSD
Group: Development/Other
Url:  http://live.gnome.org/Gjs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: xulrunner-devel >= 1.9
BuildRequires: gobject-introspection-devel >= 0.6
BuildRequires: dbus-glib-devel

%description
This package contains JavaScript bindings based on gobject-introspection.

%package -n %libname
Group:System/Libraries
Summary:JavaScript bindings based on gobject-introspection
Requires: %xulrunner_libname

%description -n %libname
This package contains JavaScript bindings based on gobject-introspection.

%package -n %develname
Group:Development/C
Summary:JavaScript bindings based on gobject-introspection
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release
Provides: lib%name-devel = %version-%release
Requires: xulrunner-devel = %xulrunner_version

%description -n %develname
This package contains JavaScript bindings based on gobject-introspection.

%prep
%setup -q
%patch -p1

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING NEWS
%_bindir/gjs
%_bindir/gjs-console
%_datadir/%name-%api

%files -n %libname
%defattr(-,root,root)
%_libdir/libgjs-dbus.so.%{major}*
%_libdir/libgjs-gi.so.%{major}*
%_libdir/libgjs.so.%{major}*
%_libdir/gjs-%api

%files -n %develname
%defattr(-,root,root)
%_libdir/libgjs-dbus.so
%_libdir/libgjs-gi.so
%_libdir/libgjs.so
%_libdir/libgjs*.la
%_libdir/pkgconfig/gjs-dbus-%api.pc
%_libdir/pkgconfig/gjs-%api.pc
%_libdir/pkgconfig/gjs-gi-%api.pc
%_includedir/gjs-%api


%changelog
* Wed Sep 16 2009 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2010.0
+ Revision: 443445
- add explicit versioned xulrunner dep
- rebuild for new xulrunner

* Wed Aug 26 2009 Götz Waschk <waschk@mandriva.org> 0.4-1mdv2010.0
+ Revision: 421331
- new version
- update file list

* Sun Jul 05 2009 Götz Waschk <waschk@mandriva.org> 0.3-1mdv2010.0
+ Revision: 392671
- fix format string
- new version
- fix source URL
- add dbus binding
- drop patch

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.2-2mdv2009.1
+ Revision: 332448
- rebuild

* Wed Nov 12 2008 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2009.1
+ Revision: 302494
- import gjs


